Name:		fbreader
Version:	0.99.4
Release:	%mkrel 3
Summary:	Reader for e-books in various formats
License:	GPLv2
Group:		Office/Utilities
URL:		http://www.fbreader.org
Source:		http://www.fbreader.org/files/desktop/%{name}-sources-%{version}.tgz
Patch2:		fbreader-0.99.4-xdgopen.patch
BuildRequires:	jpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libexpat-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	linebreak-devel
BuildRequires:	curl-devel
BuildRequires:	fribidi-devel
BuildRequires:	sqlite3-devel
BuildRequires:	qt4-devel
Obsoletes:	%{name}-common < 0.99
Obsoletes:	%{name}-qt4 < 0.99
Obsoletes:	%{name}-gtk < 0.99

%description
FBReader is an e-book reader for various platforms.
Supported formats include: fb2, HTML, chm, plucker, palmdoc, zTxt,
TCR, RTF, OEB, OpenReader, mobipocket, plain text.

%prep
%setup -q
%apply_patches

# fix icon extension in the .desktop file
perl -pi -e 's,FBReader.png,FBReader,' fbreader/desktop/desktop

# fix qt4 build
perl -pi -e 's,moc-qt4,%qt4bin/moc,' makefiles/arch/desktop.mk
perl -pi -e 's,CC = .*,CC = gcc,' makefiles/arch/desktop.mk
perl -pi -e 's,QTINCLUDE = -I /usr/include/qt4,QTINCLUDE = -I %qt4include,' makefiles/arch/desktop.mk
perl -pi -e 's,UILIBS = -lQtGui,UILIBS = -lQtGui -lQtCore,' makefiles/arch/desktop.mk
perl -pi -e 's,-lunibreak,-llinebreak,' makefiles/config.mk zlibrary/text/Makefile

%define _disable_ld_no_undefined 1
echo "CFLAGS = %optflags" >> makefiles/arch/desktop.mk
echo "LDFLAGS = %ldflags" >> makefiles/arch/desktop.mk

%build
make -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir}

make -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir}

make -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4 \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir}

make -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir}

%install
make -C zlibrary/core TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C zlibrary/text TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C zlibrary/ui TARGET_ARCH=desktop UI_TYPE=qt4 \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

make -C fbreader TARGET_ARCH=desktop UI_TYPE=dummy \
	DESTDIR=%{buildroot} INSTALLDIR=%{_prefix} LIBDIR=%{_libdir} do_install

# add mimetypes
desktop-file-install \
	--vendor="" \
	--add-mime-type="application/epub+zip;application/rtf;" \
	--add-mime-type="application/x-mobipocket-ebook;application/x-fictionbook+xml;" \
	--add-mime-type="text/html;application/xhtml+xml;" \
	%{buildroot}%{_datadir}/applications/FBReader.desktop --dir=%{buildroot}%{_datadir}/applications/

rm -f %{buildroot}%{_libdir}/*.so

%files
%{_bindir}/FBReader
%{_libdir}/*.so.*
%{_datadir}/FBReader
%{_datadir}/pixmaps/*
%{_datadir}/zlibrary
%{_datadir}/applications/*.desktop


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.99.4-3.mga4
+ Revision: 522451
- Mageia 4 Mass Rebuild

* Fri Mar 08 2013 fwang <fwang> 0.99.4-2.mga3
+ Revision: 401779
- fix obsoletes

* Mon Mar 04 2013 fwang <fwang> 0.99.4-1.mga3
+ Revision: 401383
- obsolete correct package
- update file list
- update file list
- update file list
- merge all packages into one
- only build qt4 frontend
- use linebreak as what gentoo is doing
- disable undefined
- new version 0.99.4
- update rpm group
- update rpm group
- new version 0.99.2

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + tv <tv>
    - fix group
    - common packages should not provides fbreader

* Thu Apr 14 2011 tv <tv> 0.12.10-5.mga1
+ Revision: 85235
- fix upgrading from MDV

* Wed Mar 02 2011 ahmad <ahmad> 0.12.10-4.mga1
+ Revision: 62619
- add mimetypes to the .desktop files

* Sun Jan 16 2011 ahmad <ahmad> 0.12.10-3.mga1
+ Revision: 19891
- add BR qt4-devel to build the Qt4 GUI
- split gtk and qt4 packages
- fix qt4 includes and build
- add a qt4 .destkop file
- drop patch0 and fix the icon name in the .desktop file with a perl command
- imported package fbreader


* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 0.12.10-2mdv2011.0
+ Revision: 575402
- fix build with gcc 4.5
  use xdgopen rather than mozilla to open link
  build with our default flags

* Tue May 11 2010 Olivier Blin <oblin@mandriva.com> 0.12.10-2mdv2010.1
+ Revision: 544523
- remove incorrect icon extension in desktop file

* Fri Apr 02 2010 Funda Wang <fwang@mandriva.org> 0.12.10-1mdv2010.1
+ Revision: 530778
- update to new version 0.12.10

* Sat Mar 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.12.9-1mdv2010.1
+ Revision: 527910
- update to 12.9

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.12.7-1mdv2010.1
+ Revision: 515776
- update to 0.12.7

* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.6-1mdv2010.1
+ Revision: 513986
- update to new version 0.12.6

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.5-1mdv2010.1
+ Revision: 509622
- update to new version 0.12.5

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 0.12.2-1mdv2010.1
+ Revision: 504459
- update to new version 0.12.2

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.12.1-2mdv2010.1
+ Revision: 492235
- rebuild for new libjpegv8

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0.12.1-1mdv2010.1
+ Revision: 478530
- new version 0.12.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 475294
- BR sqlite3
- new version 0.12.0

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.7-3mdv2010.0
+ Revision: 455801
- rebuild for new curl SSL backend

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.10.7-2mdv2010.0
+ Revision: 419746
- rebulid for new libjpeg v7

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 0.10.7-1mdv2010.0
+ Revision: 380843
- new version 0.10.7

* Sat Mar 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.5-1mdv2009.1
+ Revision: 360066
- update to new version 0.10.5

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 0.10.3-1mdv2009.1
+ Revision: 337713
- New version 0.10.3

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 333331
- update to new version 0.10.2

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2009.1
+ Revision: 330824
- add BR
- New version 0.10.1

* Sat Jul 26 2008 Funda Wang <fwang@mandriva.org> 0.8.17-2mdv2009.0
+ Revision: 250115
- rebuild

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 0.8.17-1mdv2009.0
+ Revision: 239275
- BR jpeg

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import fbreader


* Mon Jul 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.17-1mdv2009.0
- first mdv release, using package from Antony Dovgal <tony@daylessday.org> 
